#include "rally_rush_game_mode.hpp"
#include "utils/godot_macros.h"

namespace godot {
void RallyRushGameMode::_bind_methods() {
#define CLASSNAME RallyRushGameMode
    GDSIGNAL("key_found", PropertyInfo(Variant::INT, "total_found"));
    GDSIGNAL("all_keys_found");
}

int RallyRushGameMode::get_num_found_keys() {
    return this->num_keys_found;
}

void RallyRushGameMode::notify_key_found() {
    ++this->num_keys_found;
    this->emit_signal("key_found", num_keys_found);
    if(num_keys_found == 3)
        this->emit_signal("all_keys_found");
}
}
